Help Topics for Grafis Installation

A GRAFIS licence contains:

  • a hardlock, supplied as dongle for the parallel port, as hardlock module for the PCI slot or as USB plug,
  • installation CD
  • the GRAFIS Textbook Parts 1 and 2
  • a folder containing explanations on the delivered basic blocks.

Minimum computer equipment for GRAFIS version 9

Installation

Notes for Windows NT 4.0/ 2000/ XP

Installation with hardlock dongle for the parallel port (standard)

Installation with a USB plug hardlock

Installation with a hardlock module for the PCI slot


Minimum computer equipment for GRAFIS version 9

We recommend:

  • IBM compatible PC with Pentium processor approx. 1 GHz
  • 64 MB main memory
  • 1 parallel and possibly 2 serial ports, if necessary 1 additional serial port if connecting a digitizer, if necessary 1 additional parallel port if connecting a plotter with parallel interface
  • Harddisk with 200 MB free space
  • Diskette drive (HD) 3.5" + CD-ROM drive
  • VGA-board with in minimum 1 MB video RAM; a screen refresh rate of in minimum 70Hz is recommended.
  • Colour screen, matching the graphic board; for private use a 17"-screen is sufficient.
  • Keyboard with 12 function keys
  • mouse and mouse pad
  • Operating system Windows95 or WindowsNT 4.0 or higher
  • recommended: saving data using a streamer

Information on plotters, printers and digitizers compatible with Grafis can be found in the Grafis Help.


Installation with hardlock dongle for the parallel port (standard)

Step-by-step procedure

  • First, switch off the computer.
  • Unplug the printer cable on the back of your computer, plug the hardlock into the printer port of your computer and the printer cable into the hardlock.
  • Switch on the computer.
  • Insert the installation CD in your CD ROM drive. If the Autostart function is active, installation starts automatically. Otherwise, change to the CD ROM drive in Windows Explorer and execute the ‚install' application. You are guided through installation.
  • After installation, the system adjustment (program setup.exe) is started automatically. It is important to check the entries under "drives & paths". Setup makes entries in the file \grafis\grafis.ini. The system adjustment can be changed at any time using the Setup. The Setup is started from Start | Grafis | Setup or from Pull-down menu Help. <F1> Help is also available in the setup.
  • To start Grafis double-click on the "Grafis" icon or choose Menu Start | Program | Grafis | GrafisV9. Grafis is started and the "Menu for the selection of the measurement system" is displayed first and then the "Menu for work with collections and styles". Only after having selected an existing style or created a new style, the basic menu is opened.


Installation with a USB plug hardlock

Important: Connect the USB plug after Grafis installation!

Step-by-step procedure

  • Insert the installation CD in your CD ROM drive. If the Autostart function is active, installation starts automatically. Otherwise, change to the CD ROM drive in Windows Explorer and execute the ‚install' application. You are guided through installation.
  • During initial installation of the programme, the hardlock driver software is loaded after all files have been copied. If you are installing as an update or if you have aborted the driver installation start the hardlock driver installation directly from the CD via Windows Explorer from the directory \GRAFIS\HILFEN, file HLDRV32.EXE.
  • After installation, the system adjustment (program setup.exe) is started automatically. It is important to check the entries under "drives & paths". Setup makes entries in the file \grafis\grafis.ini. The system adjustment can be changed at any time using the Setup. The Setup is started from Start | Grafis | Setup or from the Help pull-down menu. <F1> Help is also available in the setup.
  • After successful installation of the hardlock driver the USB hardlock can be connected. It will automatically be detected by the system.
  • To start Grafis double-click on the "Grafis" icon or choose Menu Start | Program | Grafis | GrafisV9. Grafis is started and the "Menu for the selection of the measurement system" is displayed first and then the "Menu for work with collections and styles". The basic menu opens after having selected an existing style or created a new style.

Trouble shooting

If the hardlock plug has been connected before driver installation, the system responds with a request for the driver file for the USB hardlock. Select the GRAFIS CD as source, directory SUPPORT\HARDLOCK and the respective folder for your Windows version (e.g. WIN98)

If this system request for driver installation has been aborted without action, Windows makes a "?" entry for the USB hardlock in the device manager. Proceed as follows:

  • Install the hardlock driver by starting and processing the file HLDRV32.EXE in the \GRAFIS\HILFEN directory.
  • Open the device manager ("Control Panel" / "System") and delete the "?" entry for the USB hardlock.
  • Restart the PC. The hardlock plug should now be detected automatically.


Installation with a hardlock module for the PCI slot

Hardlock modules for the PCI slot also serve as special parallel cards giving you the following options:

  • You can connect additional hardlock modules to the parallel slot on the card.
  • You can connect the installed hardlock modules to the external interface using the supplied cable. This gives you an extra parallel port, which you can use for additional protection keys, a printer, or other peripherals.

Important: Install following exactly the stated order!

Step-by-step procedure

1. Installation of Grafis

  • Insert the installation CD in your CD ROM drive. If the Autostart function is active, installation starts automatically. Otherwise, change to the CD ROM drive in Windows Explorer and execute the ‚install' application. You are guided through installation.
  • During initial installation of the programme, the hardlock driver software is loaded after all files have been copied. If you are installing as an update or if you have aborted the driver installation start the hardlock driver installation directly from the CD via Windows Explorer from the directory \GRAFIS\HILFEN, file HLDRV32.EXE.
  • After installation, the system adjustment (program setup.exe) is started automatically. It is important to check the entries under "drives & paths". Setup makes entries in the file \grafis\grafis.ini. The system adjustment can be changed at any time using the Setup. The Setup is started from Start | Grafis | Setup or from Pull-down menu Help. <F1> Help is also available in the setup.
  • Switch off the computer.

2. Preparing the hardlock module for the PCI slot

  • Use a wrist grounder to earth yourself or briefly touch a metal part of the computer housing.
  • Carefully unpack the card. Avoid touching any components or connection contacts when doing this. If you do, there is a risk of irreparable damage to components due to static discharges.
  • If required connect additional protection modules to the parallel port on the card and tighten the screws. Note: We cannot guarantee that it will be possible to daisy-chain protection modules made by other manufacturers.
  • Use the supplied cable to connect the last protection module to the slot cover on the card. This step is only necessary if you wish to use the card externally as an extra parallel port.

3. Installing the card

  • Switch off the computer and disconnect the main plug. Disconnect any other cables if required and open the housing.
  • Use a wrist grounder to earth yourself or briefly touch a metal part of the computer housing.
  • Select an unused PCI slot and remove the corresponding slot cover from the computer housing.
  • Install the card in the appropriate slot. Make sure the slot cover is pointing towards the housing. First, carefully press the side facing away from the computer housing into the interface, then the side facing the housing.
  • Tighten the slot cover onto the computer housing.
  • Put back the housing cover, reconnect the computer to the power supply and connect the cables, which were removed previously.

4. Installing the Drivers for the Parallel Port

After installing the hardware you need to install the drivers for the parallel port. This step is always required, also if you don't want to use the parallel port. The procedure depends on the operating system.

Windows NT4:

To install drivers under Windows NT you need to be logged on as an administrator.

  • Start the computer.
  • Start the supplied installation wizard for installing the drivers, ACPCI_INSTALL.EXE from the Grafis installation CD under \Support\Hardlock\NT4. The PCIAKS.INF and PCIAKS.SYS files must be in the same folder.
  • Follow the instructions of the installation wizard.
  • Restart the computer.

The card will now be detected automatically. The new parallel port is generally assigned to LPT2.

Windows 95/98/ME and Windows 2000:

To install drivers under Windows 2000/XP you need to be logged on as an administrator.

  • Start the computer. A message is displayed informing you that new hardware has been located. The device driver installation wizard opens.
  • Follow the instructions in the wizard. The AKSPCI.INF and AKSPCI2.INF driver files are located on the Grafis installation CD in the folder \Support\Hardlock\win2000 or \Support\Hardlock\win9x. The AKSPPVI.DLL and AKSPP.VXD files must be in the same folder (not with Windows 2000/XP).
  • Repeat the procedure if required.
  • Restart the computer following driver installation. This step is not required with Windows 2000/XP.

The card will now be detected automatically. The new parallel port is generally assigned to LPT2. A random address is assigned to the parallel port under Windows NT4/2000/XP. Address 0x378, if available, is assigned with Windows 95/98/ME. Otherwise, address 0x278 is assigned.

5. Start Grafis

To start Grafis double-click on the "Grafis" icon or choose Menu Start | Programs | Grafis | GrafisV9. Grafis is started and the "Menu for the selection of the measurement system" is displayed first and then the "Menu for work with collections and styles". The basic menu opens after having selected an existing style or created a new style.


Notes for Windows NT 4.0/ 2000/ XP

For installation under Windows NT 4.0/ 2000/ XP you must be registered as "ADMINISTRATOR" so that the hardlock driver setup can ensue automatically!

If this has not worked, correctly continue as follows:

  • Ensure that you are registered as "ADMINISTRATOR" or that you have the access rights of the administrator.
  • Start \GRAFIS\HILFEN\HLDRV32.EXE. This program installs all necessary components.